Du kan inte välja fler än 25 ämnen Ämnen måste starta med en bokstav eller siffra, kan innehålla bindestreck ('-') och vara max 35 tecken långa.

cryptcheck.gemspec 1.5KB

1234567891011121314151617181920212223242526272829303132333435363738
  1. # coding: utf-8
  2. lib = File.expand_path('../lib', __FILE__)
  3. $LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
  4. Gem::Specification.new do |spec|
  5. spec.name = 'cryptcheck'
  6. spec.version = '1.0.0'
  7. spec.authors = ['Aeris']
  8. spec.email = ['aeris+tls@imirhil.fr']
  9. spec.summary = %q{Check best practices on crypto-stack implementation}
  10. spec.description = %q{Verify if best practices are well implemented on current crypto-stack (TLS & SSH) protocol (HTTPS, SMTP, XMPP, SSH & VPN)}
  11. spec.homepage = 'https://tls.imirhil.fr'
  12. spec.license = 'AGPLv3+'
  13. if spec.respond_to?(:metadata)
  14. spec.metadata['allowed_push_host'] = 'TODO: Set to "http://mygemserver.com"'
  15. else
  16. raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.'
  17. end
  18. spec.files = { '*.rb' => %w(lib) }
  19. .collect_concat { |e, ds| ds.collect_concat { |d| Dir[File.join d, '**', e] } }
  20. # spec.bindir = 'bin'
  21. # spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  22. # spec.test_files = spec.files.grep(%r{^spec/})
  23. spec.require_paths = %w(lib)
  24. spec.add_development_dependency 'bundler', '~> 1.9', '>= 1.9.8'
  25. spec.add_development_dependency 'rake', '~> 10.4', '>= 10.4.2'
  26. spec.add_development_dependency 'rspec', '~> 3.2', '>= 3.2.0'
  27. spec.add_dependency 'httparty', '~> 0.13', '>= 0.13.3'
  28. spec.add_dependency 'nokogiri', '~> 1.6', '>= 1.6.6'
  29. spec.add_dependency 'parallel', '~> 1.3', '>= 1.3.4'
  30. spec.add_dependency 'ruby-progressbar', '~> 1.7', '>= 1.7.1'
  31. spec.add_dependency 'colorize', '~> 0.7', '>= 0.7.7'
  32. end